﻿-- Author      : RisM
-- Create Date : 9/21/2009 3:08:17 AM

local SpeakinSpell = LibStub("AceAddon-3.0"):GetAddon("SpeakinSpell")
local L					= LibStub("AceLocale-3.0"):GetLocale("SpeakinSpell",					false)
local HELPFILE			= LibStub("AceLocale-3.0"):GetLocale("SpeakinSpell_HELPFILE",			false)

SpeakinSpell:PrintLoading("gui/help.lua")

-------------------------------------------------------------------------------
-- GUI LAYOUT - HELP MANUAL
-------------------------------------------------------------------------------


SpeakinSpell.OptionsGUI.args.HelpRoot = {
	order = 2,
	type = "group",
	name = "unused_HelpRoot_name",
	desc = "unused_HelpRoot_desc",
	args = {
		CaptionNormalMode = {
			order = 1,
			type = "description",
			name = HELPFILE.ROOT,
		},
	}, --end args
} --end HelpRoot
			
			
-------------------------------------------------------------------------------
-- OPTIONS GUI FUNCTIONS - HELP PAGES
-------------------------------------------------------------------------------


function SpeakinSpell:HelpPages_CreateGUI()
	-- build help pages
	--for title,contents in pairs(HELPFILE.PAGES) do --has an unpredictable order
	for i=1,#(HELPFILE.PAGEORDER),1 do
		local FrameObjectName = "HelpTopic"..tostring(i)
		local FrameDisplayName = HELPFILE.PAGEORDER[i]
		local NextPageDisplayName = ""
		if i < #(HELPFILE.PAGEORDER) then
			NextPageDisplayName = HELPFILE.PAGEORDER[i+1]
		else --wrap to first page
			NextPageDisplayName = HELPFILE.PAGEORDER[1]
		end
		-- setup OptionGUI object
		self.OptionsGUI.args[FrameObjectName] = {
			order = 3,
			type = "group",
			name = "unused_HelpFrame_name",
			desc = "unused_HelpFrame_desc",
			args = {
				CaptionNormalMode = {
					order = 1,
					type = "description",
					name = HELPFILE.PAGES[ HELPFILE.PAGEORDER[i] ], --help CONTENTS
				},
				NextPage = {
					order = 2,
					type = "execute",
					width = "full",
					name = NextPageDisplayName,
					desc = L["Go to the next help topic"],
					func = function() InterfaceOptionsFrame_OpenToCategory(NextPageDisplayName) end
				}
			}, --end args
		} --end title
		
		-- add a button to the TOC page, linking to the child page we just created above
		self.OptionsGUI.args.HelpRoot.args[FrameObjectName] = {
			order = i+1,
			type = "execute",
			width = "full",
			name = FrameDisplayName,
			desc = FrameDisplayName, --L["Go to the first help topic"], --TODOLATER: tooltips different from labels, and cleanup L[] entry
			func = function() InterfaceOptionsFrame_OpenToCategory(FrameDisplayName) end
		}

	end
end


function SpeakinSpell:HelpPages_AddToBlizOptions()
	--for title,contents in pairs(HELPFILE.PAGES) do --has an unpredictable order
	for i=1,#(HELPFILE.PAGEORDER),1 do
		local FrameObjectName = "HelpTopic"..tostring(i)
		local FrameDisplayName = HELPFILE.PAGEORDER[i]
		--TODOFUTURE: push down to tier 3 -- tier 3 seems buggy, trying tier 2 instead
		--self:AddToBlizOptions(FrameObjectName, FrameDisplayName, L["SpeakinSpell Help"])
		self:AddToBlizOptions(FrameObjectName, FrameDisplayName, L["SpeakinSpell"])
	end
end
